Unresolveable dependencies on Ubuntu MATE 18.04

Asked by Padi Phillips on 2018-05-13

I've tried to install Livewallpaper on Ubuntu MATE 18.04 but I'm getting a message that there are unresolvable dependency issues due to python-imaging not being installalble, (?) and python-opengl that isn't going to be installed.

I used Livewallpaper on Ubuntu MATE 16.04 with no issues at all, so I'm beginning to think that 18.04 looks like a retrograde step.

Question information

Language:
English Edit question
Status:
Solved
For:
LiveWallpaper Edit question
Assignee:
No assignee Edit question
Solved by:
Maximilian Schnarr
Solved:
2018-05-13
Last query:
2018-05-13
Last reply:
2018-05-13
Manfred Hampl (m-hampl) said : #1

python-imaging is not available in Ubuntu 18.04 any more, but livewallpaper still depends on it.

I assume that some work has to be done to modify livewallpaper for Ubuntu 18.04, such that it does no more depend on python-imaging but on python-pil (which is the replacement).

See https://launchpad.net/ubuntu/+source/pillow/+changelog entry for 5.0.0-1
* Stop building the python-imaging package.

Padi Phillips (padi) said : #2

Thanks for your response Manfred. However, this doesn't solve my issue. I took a look at the link, but it meant nothing to me - I'm just someone who likes and uses livewallpaper, and have little clue about making changes to get things working.

Hopefully the issues stopping it working with Ubuntu 18.04 will soon be resolved.

Best Maximilian Schnarr (fyrmir) said : #3

I have updated the dependencies of livewallpaper and triggered a new build. It should work on Ubuntu 18.04 now. Just update and try to install again.

Padi Phillips (padi) said : #4

Thanks Maximilian, works beautifully now!